Unable to install Fleet on 8.6.0

Hello I'm unable to install/initiate fleet on our kibana. I get below error message

Debug logs for plugin.fleet

{"service":{"node":{"roles":["background_tasks","ui"]}},"ecs":{"version":"8.4.0"},"@timestamp":"2023-01-19T15:20:35.651+00:00","message":"Telemetry is not opted-in.","log":{"level":"DEBUG","logger":"plugins.fleet.telemetry_events"},"process":{"pid":10645},"trace":{"id":"196e605b1e705f4c3dd6daf89ec8b11e"},"transaction":{"id":"55650687dbbf4a7b"}}
{"service":{"node":{"roles":["background_tasks","ui"]}},"ecs":{"version":"8.4.0"},"@timestamp":"2023-01-19T15:20:41.348+00:00","message":"Beginning fleet setup","log":{"level":"INFO","logger":"plugins.fleet"},"process":{"pid":10645},"trace":{"id":"97e68b7606568d13c321045886eb5b5b"},"transaction":{"id":"0b24dd5a1d204e9e"}}
{"service":{"node":{"roles":["background_tasks","ui"]}},"ecs":{"version":"8.4.0"},"@timestamp":"2023-01-19T15:20:41.350+00:00","message":"Setting Fleet server config","log":{"level":"DEBUG","logger":"plugins.fleet"},"process":{"pid":10645},"trace":{"id":"97e68b7606568d13c321045886eb5b5b"},"transaction":{"id":"0b24dd5a1d204e9e"}}
{"service":{"node":{"roles":["background_tasks","ui"]}},"ecs":{"version":"8.4.0"},"@timestamp":"2023-01-19T15:20:41.361+00:00","message":"Setting up Fleet download source","log":{"level":"DEBUG","logger":"plugins.fleet"},"process":{"pid":10645},"trace":{"id":"97e68b7606568d13c321045886eb5b5b"},"transaction":{"id":"0b24dd5a1d204e9e"}}
{"service":{"node":{"roles":["background_tasks","ui"]}},"ecs":{"version":"8.4.0"},"@timestamp":"2023-01-19T15:20:41.367+00:00","message":"Setting up Fleet Sever Hosts","log":{"level":"DEBUG","logger":"plugins.fleet"},"process":{"pid":10645},"trace":{"id":"97e68b7606568d13c321045886eb5b5b"},"transaction":{"id":"0b24dd5a1d204e9e"}}
{"service":{"node":{"roles":["background_tasks","ui"]}},"ecs":{"version":"8.4.0"},"@timestamp":"2023-01-19T15:20:41.372+00:00","message":"Setting up Fleet outputs","log":{"level":"DEBUG","logger":"plugins.fleet"},"process":{"pid":10645},"trace":{"id":"97e68b7606568d13c321045886eb5b5b"},"transaction":{"id":"0b24dd5a1d204e9e"}}
{"service":{"node":{"roles":["background_tasks","ui"]}},"ecs":{"version":"8.4.0"},"@timestamp":"2023-01-19T15:20:41.385+00:00","message":"Setting up Fleet Elasticsearch assets","log":{"level":"DEBUG","logger":"plugins.fleet"},"process":{"pid":10645},"trace":{"id":"97e68b7606568d13c321045886eb5b5b"},"transaction":{"id":"0b24dd5a1d204e9e"}}
{"service":{"node":{"roles":["background_tasks","ui"]}},"ecs":{"version":"8.4.0"},"@timestamp":"2023-01-19T15:20:41.386+00:00","message":"Creating Fleet component template and ingest pipeline","log":{"level":"DEBUG","logger":"plugins.fleet"},"process":{"pid":10645},"trace":{"id":"97e68b7606568d13c321045886eb5b5b"},"transaction":{"id":"0b24dd5a1d204e9e"}}
{"service":{"node":{"roles":["background_tasks","ui"]}},"ecs":{"version":"8.4.0"},"@timestamp":"2023-01-19T15:20:41.399+00:00","message":"Setting up initial Fleet packages","log":{"level":"DEBUG","logger":"plugins.fleet"},"process":{"pid":10645},"trace":{"id":"97e68b7606568d13c321045886eb5b5b"},"transaction":{"id":"0b24dd5a1d204e9e"}}
{"service":{"node":{"roles":["background_tasks","ui"]}},"ecs":{"version":"8.4.0"},"@timestamp":"2023-01-19T15:20:41.538+00:00","message":"kicking off bulk install of endpoint, synthetics","log":{"level":"DEBUG","logger":"plugins.fleet"},"process":{"pid":10645},"trace":{"id":"97e68b7606568d13c321045886eb5b5b"},"transaction":{"id":"0b24dd5a1d204e9e"}}
{"service":{"node":{"roles":["background_tasks","ui"]}},"ecs":{"version":"8.4.0"},"@timestamp":"2023-01-19T15:20:41.564+00:00","message":"Running required package policies upgrades for managed policies","log":{"level":"DEBUG","logger":"plugins.fleet"},"process":{"pid":10645},"trace":{"id":"97e68b7606568d13c321045886eb5b5b"},"transaction":{"id":"0b24dd5a1d204e9e"}}
{"service":{"node":{"roles":["background_tasks","ui"]}},"ecs":{"version":"8.4.0"},"@timestamp":"2023-01-19T15:20:41.648+00:00","message":"Upgrade Fleet package install versions","log":{"level":"DEBUG","logger":"plugins.fleet"},"process":{"pid":10645},"trace":{"id":"97e68b7606568d13c321045886eb5b5b"},"transaction":{"id":"0b24dd5a1d204e9e"}}
{"service":{"node":{"roles":["background_tasks","ui"]}},"ecs":{"version":"8.4.0"},"@timestamp":"2023-01-19T15:20:41.694+00:00","message":"Upgrade Agent policy schema version","log":{"level":"DEBUG","logger":"plugins.fleet"},"process":{"pid":10645},"trace":{"id":"97e68b7606568d13c321045886eb5b5b"},"transaction":{"id":"0b24dd5a1d204e9e"}}
{"service":{"node":{"roles":["background_tasks","ui"]}},"ecs":{"version":"8.4.0"},"@timestamp":"2023-01-19T15:20:41.931+00:00","message":"retrieved installed package system-1.6.4 from cache","log":{"level":"DEBUG","logger":"plugins.fleet"},"process":{"pid":10645},"trace":{"id":"97e68b7606568d13c321045886eb5b5b"},"transaction":{"id":"0b24dd5a1d204e9e"}}
{"service":{"node":{"roles":["background_tasks","ui"]}},"ecs":{"version":"8.4.0"},"@timestamp":"2023-01-19T15:20:41.953+00:00","message":"retrieved installed package fleet_server-1.1.0 from cache","log":{"level":"DEBUG","logger":"plugins.fleet"},"process":{"pid":10645},"trace":{"id":"97e68b7606568d13c321045886eb5b5b"},"transaction":{"id":"0b24dd5a1d204e9e"}}
{"service":{"node":{"roles":["background_tasks","ui"]}},"ecs":{"version":"8.4.0"},"@timestamp":"2023-01-19T15:20:42.102+00:00","message":"retrieved installed package elastic_agent-1.3.0 from cache","log":{"level":"DEBUG","logger":"plugins.fleet"},"process":{"pid":10645},"trace":{"id":"97e68b7606568d13c321045886eb5b5b"},"transaction":{"id":"0b24dd5a1d204e9e"}}
{"service":{"node":{"roles":["background_tasks","ui"]}},"ecs":{"version":"8.4.0"},"@timestamp":"2023-01-19T15:20:42.119+00:00","message":"Unable to get fleet server hosts for policy 90fefba0-bfa9-11eb-a24e-418bcd7279fc: Default Fleet Server host is not setup","log":{"level":"WARN","logger":"plugins.fleet"},"process":{"pid":10645},"trace":{"id":"97e68b7606568d13c321045886eb5b5b"},"transaction":{"id":"0b24dd5a1d204e9e"}}
{"service":{"node":{"roles":["background_tasks","ui"]}},"ecs":{"version":"8.4.0"},"@timestamp":"2023-01-19T15:20:42.317+00:00","message":"Invalid top-level package manifest: one or more fields missing of name, version, description, title, format_version, owner","log":{"level":"ERROR","logger":"plugins.fleet"},"process":{"pid":10645},"trace":{"id":"97e68b7606568d13c321045886eb5b5b"},"transaction":{"id":"0b24dd5a1d204e9e"}}

Any idea how to solve this?

Many Thanks.

Fixed issue by deleting all packages and policies in fleet(they were tested some time in 2020 and 2021.
Referenced this post
This api documentation

And this API calls.

Blockquote
curl -k -X POST -u USER:PASSWORD https://localhost:5601/api/fleet/package_policies/delete -H 'kbn-xsrf: xyz' -H 'Content-Type: application/json' -d '
{
"packagePolicyIds": [
"policy-ID"
],
"force": true
}
'

Blockquote
curl -k -X DELETE -u USER:PASSWORD https://localhost:5601/api/fleet/epm/packages/"package-name"/"package-version" -H 'kbn-xsrf: xyz'